
#global_settings { assumed_gamma 2.2 }

#include "colors.inc"
#include "glass.inc"
#include "stones.inc"
#include "battlestar.inc"
#include "lights.inc"
#include "head.inc"
#include "bay.inc"
#include "hull.inc"
#include "eng.inc"
#include "planet.inc"
#include "viper.inc"

#declare AGray = color rgb <0.80,0.75,0.65>;

camera {
	angle 30
	location <550, 340, -350>
	look_at <10, -20, -20>
}

light_source { <2000, 6000, -2000> color White }

/*
sky_sphere{pigment {
	bozo
	pigment_map{
	[0	bozo
		pigment_map {
			[0.95 color Black]
			[1 bozo color_map{
				[0.95 color Black]	
				[1 color White]} scale 0.3
			]
		}
		scale 0.01]
	[1	bozo
		color_map {
			[0.95 color Black]
			[1 color White*0.5]
		}
		scale 0.003]
	} scale 0.15
	}
}
*/
sky_sphere{pigment {
	bozo
	pigment_map{
	[0	bozo
		pigment_map {
			[0.5 color Black]
			[1 bozo color_map{
				[0.5 color Black]	
				[1 color White]} scale 0.3
			]
		}
		scale 0.01]
	[1	bozo
		color_map {
			[0 color Black]
			[0.5 color Black]
			[1 color White*0.5]
		}
		scale 0.003]
	} scale 0.15
	}
}


#declare half = union {  
object { hull}
	object {bay translate <-137,-30,-79>}
	object {eng translate <-174,11,0>}
	object {head translate <59,2,0>}
} 

#declare total = union { 
	union {
	  object {half}
	  object { half
  	matrix < 1, 0, 0,
		         0, 1, 0,
        		 0, 0,-1,
        		 0, 0, 0 >
	  }
    texture{
    pigment {
      bozo
      pigment_map {
      [0 brick Black,AGray,mortar 0.08
       rotate 90*z
       scale 0.15 ]
      [0.5 AGray]
      [0.75 AGray*0.80]
      [1 AGray*0.70]}
    scale 16
    }
    normal {bumps 0.1}
    }
  }
  object {exhaust translate <-254,-2,0>}
  object {windows}
}

 
object {planet scale 7 translate <-40000,-20000,40000>}

object {total}
object {total
	rotate 5*z
	translate <-1000,-350,700>
	scale <0.3,0.3,0.3>
	}
object {total
	rotate 9*y
	translate <-700,-400,800>
	}
object {total
	translate <-1000,-800,250>
	}
object {viper
  scale 0.4
	rotate -10*y
	translate <330,160,-120>
	}
object {viper
  scale 0.4
	rotate -10*y
	translate <330,163,-140>
	}
object {viper
  scale 0.4
	translate <92,-66,-122>
	}
object {viper
  scale 0.4
	translate <110,-69,-130>
	}

object {viper
  scale 0.2
  rotate 45*y
	translate <20,-40,-105>
	}

object {viperexhaust
  scale 0.2
  rotate 45*y
	translate <20,-40,-105>
	}

object {viper
  scale 0.2
  rotate 45*y
	translate <25,-40,-97>
	}

object {viperexhaust
  scale 0.2
  rotate 45*y
	translate <25,-40,-97>
	}


