#declare basicfront = difference {
	intersection {
	prism {-9, 29, 5
	<0,0>,<-9,22>,<-16.5,22>,<-18,0>,<0,0>
	rotate 90*z
	rotate 90*y
	}
	prism {-18, 0, 5
	<0,-9>,<22.1,2>,<22.1,18>,<0,29>,<0,-9>	
	}
	object {pyramid
		rotate <0,45,0>
		scale <19.8,48,19.8>
		rotate <0,0,-90>
		translate <0,-18,10>
		}
	}
	prism {0,40,7
	<10.5,15>,
	<12.5,16.5>,<15,16.5><15,3.5>
	<12.5,3.5>,<10.5,5>,<10.5,15>
	rotate -90*z}
}

#declare jitterfront = union {
	cylinder {<0,0,0>,<22,-9,4>,0.5}
	cylinder {<0,-4.5,-4.5>,<22,-10,3>,0.5}
	cylinder {<0,-9,-9>,<22,-11,2.5>,0.5}
	cylinder {<0,0,0>,<0,-9,-9>,0.5}
	cylinder {<21.7,-8.7,4.3>,
	<21.7,-11.3,2.2>,0.5}
	cylinder {<0,-5,9>,<14,-5,9>,0.5}

	union {
    box {<7,0,10>,<11,0.5,7.5>}
    cylinder {<13,0,7.5>,<23.5,-0.3,7.5>,0.5}
    prism {0,0.3,5
    <7,7.5>,<9,3.5>,<12,5>,<11,7.5>,<7,7.5>
    }
	rotate -22.2*z
	}
}

#declare front = union {
	object {basicfront}
	object {jitterfront}
	object {jitterfront 
	matrix < 1, 0, 0,
		 0, 1, 0,
		 0, 0,-1,
		 0, 0, 0 >
	translate <0,0,20>
	}
}

#declare launchb= prism {-13.5, -9, 4
	<4.9,-9.01>,<10.1,-9.01>,<6.5,-6>
	,<4.9,-9.01>
}

#declare comblaunchb= union {
	object {launchb}
	object {launchb translate 5*x}
	object {launchb translate 10*x}
	object {launchb translate 15*x}
	object {launchb translate 20*x}
	object {launchb translate 40*x}
	object {launchb translate 45*x}
	object {launchb translate 50*x}
	object {launchb translate 55*x}
	object {launchb translate 60*x}
	object {launchb translate 65*x}
	object {launchb translate 70*x}
	object {launchb translate 87.5*x}
	object {launchb translate 92.5*x}
	object {launchb translate 97.5*x}
	object {launchb translate 102.5*x}
	object {launchb translate 123.5*x}
	object {launchb translate 128.5*x}
	object {launchb translate 133.5*x}
	object {launchb translate 138.5*x}
	object {launchb translate 143.5*x}
}


#declare basicmiddle = difference {
	prism {0, 162, 7
	<0,0>,<9,-9>,<18,-9>,<18,29>
	,<9,29>,<0,20>,<0,0>
	rotate -90*z
	}
	object {comblaunchb}
}

#declare middle = union {
	object {basicmiddle}
	box {<5,-8,-10>,<148.5,-9,-7>}
}

#declare basicaft = intersection {
	prism {-9, 29, 5
	<0,0>,<-9,-32>,<-16.5,-32>,<-18,0>,<0,0>
	rotate 90*z
	rotate 90*y
	}
	prism {-18, 0, 5
	<0,-9>,<-32,0>,<-32,20>,<0,29>,<0,-9>	
	}
	object {pyramid
		rotate <0,45,0>
		scale <19.8,99.6,19.8>
		rotate <0,0,90>
		translate <0,-18,10>
		}
}

#declare aft = difference{
	union {
	object {basicaft}
	box {<-33,-10,1>,<0,-15.5,19>}
	}
	box {<-33.5,-11,2>,<0,-15,18>}
}

#declare jitter7 = union {
//top
	cylinder {<2,0,0>,<2,1,0>,2}
	cylinder {<2,0,0>,<2,2,0>,1}
	cylinder {<2,0,0>,<2,2.5,0>,0.5}
	sphere {<16,0,0>,2 scale <1,0.5,1>}
	sphere {<29,0,0>,1.5 scale <1,0.5,1>}

	cylinder {<22,0,0>,<22,0.5,0>,2.5}
	cylinder {<22,0,0>,<22,1,0>,1.5}
	cylinder {<24.5,-3,-1>,<24.5,-3,-1.5>,4}
	box {<29,0,-3.5>,<35,1,-9.5>}
	cylinder {<35,0,-4>,<37,0,-4>,0.25}
	cylinder {<35,0,-5>,<37,0,-5>,0.25}

	box {<31,0,0>,<36,2,-2.5>}
	cylinder {<37,0,0>,<37,0,-7>,1}
	cylinder {<37,0,-7>,<37,0,-7.5>,1.5}
	cylinder {<37,0,0>,<37,0,-9>,0.25}
	cylinder {<37,0,-9>,<42,0,-9>,0.25}
	cylinder {<42,0,0>,<42,0,-9>,0.25}
	cylinder {<46,0,-4>,<42,0,-4>,0.25}
	cylinder {<46,0,-5.5>,<42,0,-5.5>,0.25}
	cylinder {<46,0,-7>,<42,0,-7>,0.25}

	difference{
    box {<38,0,0>,<43,2,-2.5>}
    box {<38.5,1.5,0.1>,<42.5,2.1,-2>}
	}
	sphere{<39.5,1.6,-1>,0.5}
	sphere{<41.5,1.6,-1>,0.5}

	difference{
    box {<44,0,0>,<49,2,-2.5>}
    box {<44.5,1.5,0.1>,<48.5,2.1,-2>}
  }  
	sphere{<45.5,1.6,-1>,0.5}
	sphere{<47.5,1.6,-1>,0.5}

	cylinder {<46,0,0>,<46,0,-8.5>,1}
	cylinder {<46,0,-6>,<46,0,-6.5>,1.5}
	cylinder {<46,0,-4.5>,<46,0,-5>,1.5}

	cylinder {<46,0,-2>,<67,0,-2>,0.25}
	cylinder {<57,0,-2>,<63.5,0,-2>,1}
	cylinder {<57,0,-2>,<57.5,0,-2>,1.5}
	cylinder {<59,0,-2>,<58.5,0,-2>,1.5}
	cylinder {<60,0,-2>,<60.5,0,-2>,1.5}
	cylinder {<62,0,-2>,<61.5,0,-2>,1.5}
	cylinder {<63,0,-2>,<63.5,0,-2>,1.5}

	cylinder {<54,0,-4>,<67,0,-7>,0.25}
	cylinder {<54,0,-4>,<54,0,0>,0.25}
	cylinder {<55.5,0,-3>,<55.5,0,0>,0.25}

	box{<66.5,0,0>,<67.5,1,-10.5>}
	box{<66.5,0,0>,<75,1,-4>}
	box{<105,0,0>,<111,0.5,-3>}
	box{<107,0,0>,<110,1,-2>}
	union {
	box{<0,0,0>,<-1,1,-12.7>}
	box{<66.5,0,0.5>,<67.5,1,-10>}
	rotate -45*x
	translate <0,0,-10>
	}

//aft
	box {<-24,-5,0><-27,-7,-3.5>}
	prism {-7,-5.5,6
	<-24,0>,<-29,0>,<-29,-4>,<-28,-9.5>
	,<-24,-9.5>,<-24,0>	
	}
	cylinder {<-16,-3.5,-5><-12,-3.5,-5>,0.5}
	cylinder {<-16,-3.5,-7><-12,-3.5,-7>,0.5}
	cylinder {<-28.5,-5.5,-5><-25,-6,-5>,0.5}
	
	prism {-3,0.5,5
	<-6,0>,<-5,-5.5>,<-6,-5.5>,
	<-11,0>,<-6,0>
	}
	prism {-3,0,5
	<-12,-3>,<-11,-3>,<-7,0>,
	<-12,0>,<-12,-3>
	}
	box {<-12,1.5,0>,<-11,-3,-0.5>}
	box {<-6,1,0>,<-8,-3,-1>}
	box {<-7.5,3,0>,<-8,-3,-1>}
	cylinder {<-5.5,-3,-5.5>,<-5.5,0.5,-5.5>
	,0.6}
	sphere {<-5.5,0.5,-5.5>,0.3}
	cylinder {<-12,0.5,-2>,<-7,0.5,-0.7>,0.5}
	box{<-23.5,-1,0>,<-5,0.5,-9.5>
	rotate 15.7*z}
	box{<-23.5,-1,-3>,<-1,0.5,-9.5>
	rotate 15.7*z}

}
#declare jitter8 = union {
 //top after last leg
	cylinder {<1,0,2>,<11,0,2>,1}
	cylinder {<1,0,2>,<2,0,2>,1.5}
	cylinder {<10,0,2>,<11,0,2>,1.5}
	cylinder {<5,0,2>,<6,0,2>,1.5}

	cylinder {<1,0,5>,<1,0,19>0.25}
	cylinder {<15,0,14>,<1,0,19>0.25}
	cylinder {<1,0,5>,<9,0,7>0.25}
	box {<2,0,14.5>,<3,0.5,18>}
	box {<4,0,14.5>,<5,0.5,17>}
	box {<6,0,14.5>,<7,0.5,16>}
	cylinder {<2.5,0,15>,<2.5,0,20>,0.25}
	cylinder {<4.5,0,15>,<2.5,0,20>,0.25}
	cylinder {<6.5,0,15>,<2.5,0,20>,0.25}

	box {<1,0,12>,<16,0.5,14>}
	box {<8,0,13>,<9,1,18>}
	box {<1,0,8>,<18,0.5,6>}
	box {<7,0,12>,<8,1,10>}

  sphere{<17.5,-1,2.6>,1.8}
	cylinder {<15,0,5>,<20,0,5>,0.7}
	cylinder {<20,0,5>,<21,0,5>,0.3}
	cylinder {<21,-0.5,5>,<27,-0.5,5>,1.5}
	cylinder {<27,0,6>,<30,0,6>,0.3}
	cylinder {<27,0,4>,<30,0,4>,0.3}
	box{<28,0,6>,<28.5,1,3>}

//between second and last leg
	box{<33,0,6>,<34,1.5,3>}
	box{<30,0,1>,<34,1.5,2.5>}

	box{<30,0,16>,<34,1.5,17>}
	box{<30.5,0,14>,<34,1.5,15>}

  box{<78.5,0,4>,<80.5,0.7,6>}
  cylinder {<80,0,1>,<80,0,4>,0.3}

	cylinder {<82,0,8>,<85,0,8>,0.3}
	cylinder {<75,0,12>,<83,0,6>,0.3}
	cylinder {<76,0,13>,<82,0,8>,0.3}
	cylinder {<76,0,13>,<76,0,16>,0.3}
	box {<73,0,19>,<77,1,16>}
	box {<73.5,0,18.5>,<75,1.5,16.5>}
	box {<75.5,0,16.5>,<76.5,1.5,17.5>}
	box {<75.5,0,19>,<76.5,1.5,18>}

	box {<68.5,0,6.5>,<71,1.5,8.5>}
	box {<71.5,0,6.5>,<73.5,1.5,8.5>}
	box {<71.5,0,11.5>,<73.5,1.5,13.5>}

	
//on the side
	box {<54,0,0>,<60,-3,-2>}
	box {<9,-7,-9>,<18,-10,-7>}
	cylinder {<17,-7,-9>,<17,-10,-9>,0.75}
	cylinder {<10,-7,-9>,<10,-10,-9>,0.75}

//between first and second leg
	cylinder {<85,0,2>,<85,0,8>,1}
	cylinder {<83,0,6>,<86,0,6>,1.5}
	cylinder {<82,0,6>,<88,0,6>,1}

	box {<86,0,10>,<102,1,11>}
	cylinder {<95,0,5>,<95,0,10>,0.3}
	cylinder {<93,0,4>,<93,0,10>,0.3}

	cylinder {<95,0,5>,<116,0,5>,0.3}
	cylinder {<93,0,4>,<117,0,4>,0.3}
	cylinder {<85,0,3>,<118,0,3>,0.3}
	cylinder {<80,0,1>,<119,0,1>,0.3}

	cylinder {<116,0,5>,<116,0,6>,0.3}
	cylinder {<117,0,4>,<117,0,6>,0.3}
	cylinder {<118,0,3>,<118,0,6>,0.3}
	cylinder {<119,0,1>,<119,0,6>,0.3}

	cylinder {<115,0.2,6>,<120,0.2,6>,0.5}
	box {<118,0,7>,<122,0.7,9>}
	box {<114,0,7>,<112.5,0.7,5.5>}
	box {<113,0,6>,<113.5,1,6.5>}

	cylinder {<101,0,11>,<101,0,16>,0.3}
	cylinder {<100,0,11>,<100,0,17>,0.3}
	cylinder {<99,0,11>,<99,0,18>,0.3}

	cylinder {<101,0,16>,<117,0,16>,0.3}
	cylinder {<100,0,17>,<117,0,17>,0.3}
	cylinder {<99,0,18>,<117,0,18>,0.3}
	cylinder {<98,0,19>,<117,0,19>,0.3}
	box {<117,0,19>,<118,0.7,16>}
	box {<112,0,15>,<118,1,13>}

	cylinder {<103,0,15>,<103,0,20>,0.3}
	cylinder {<110,0,15>,<110,0,20>,0.3}
	sphere {<103,0,15>,0.7}
	sphere {<110,0,15>,0.7}


//top before first leg
	box {<126,0,0>,<128,0.5,13>}
	cylinder {<127,0,13>,<129,0,13>,0.75}
	cylinder {<129,0,13>,<131,0,13>,0.25}
	cylinder {<131,0,12>,<131,0,15>,0.75}

	cylinder {<131,0,12>,<142,0,12>,0.25}
	cylinder {<141,0,12>,<141,0,10>,0.25}
	cylinder {<140,0,12>,<140,0,10>,0.25}
	cylinder {<139,0,12>,<139,0,10>,0.25}

	cylinder {<131,0,14>,<135,0,14>,0.25}
	cylinder {<135,0,14>,<135,0,15>,0.25}
	cylinder {<135,0,15>,<149,0,15>,0.25}
	cylinder {<135,0,17>,<149,0,17>,0.25}
	cylinder {<135,0,19>,<151,0,19>,0.25}
	cylinder {<151,0,19>,<151,0,13>,0.25}
	box {<134,0,16>,<136,1,18>}
	box {<141,0,13>,<142,1,16>}
	box {<144,0,13>,<145,1,18>}
	box {<150.5,0,11>,<151.5,1,13>}
	box {<148.5,0,11>,<149.5,1,12>}
  sphere{<149,0,15>,0.6}
  sphere{<149,0,17>,0.6}

	cylinder {<134,0,5>,<139,0,10>,0.25}
	cylinder {<133,0,0>,<134,0,5>,0.25}
	cylinder {<139,0,10>,<155,0,5>,0.25}
	cylinder {<155,0,5>,<160,0,0>,0.25}
  //window
	cylinder {<138,0,0>,<138,0,6>,0.25}
	cylinder {<138,0,0>,<144,0,0>,0.25}
	cylinder {<144,0,0>,<144,0,6>,0.25}
	cylinder {<138,0,6>,<144,0,6>,0.25}
	cylinder {<141,0,0>,<141,0,6>,0.25}
	cylinder {<138,0,3>,<144,0,3>,0.25}

	cylinder {<129,0,2>,<129,0,10>,0.75}
	cylinder {<129,0,9.5>,<129,0,10>,1}
	cylinder {<129,0,8>,<129,0,8.5>,1}
	cylinder {<129,0,7>,<129,0,6.5>,1}
	cylinder {<129,0,2>,<129,0,2.5>,1}

	cylinder {<131,0,2>,<131,0,10>,0.6}
	cylinder {<131,0,8.5>,<131,0,9>,1}
  //wheel
  cylinder {<158,0,10>,<158,1.5,10>,1}
  difference {
    cylinder {<158,0,10>,<158,0.8,10>,3.25}
    cylinder {<158,0,10>,<158,1,10>,2.4}
  }
  cylinder {<158,1.4,10>,<158,0,7.5>,0.5}
  cylinder {<158,1.4,10>,<160.6,0,9>,0.5}
  cylinder {<158,1.4,10>,<155.4,0,9>,0.5}
  cylinder {<158,1.4,10>,<159.4,0,12>,0.5}
  cylinder {<158,1.4,10>,<156.6,0,12>,0.5}

  cylinder {<161.25,0,10>,<161.25,0.7,10>,0.3}
  cylinder {<160.8,0,8.4>,<160.8,0.7,8.4>,0.3}
  cylinder {<159.6,0,7.2>,<159.6,0.7,7.2>,0.3}

  cylinder {<158,0,6.75>,<158,0.7,6.75>,0.3}
  cylinder {<156.4,0,7.2>,<156.4,0.7,7.2>,0.3}
  cylinder {<155.2,0,8.4>,<155.2,0.7,8.4>,0.3}

  cylinder {<154.75,0,10>,<154.75,0.7,10>,0.3}
  cylinder {<155.2,0,11.6>,<155.2,0.7,11.6>,0.3}
  cylinder {<156.4,0,12.8>,<156.4,0.7,12.8>,0.3}

  cylinder {<158,0,13.25>,<158,0.7,13.25>,0.3}
  cylinder {<159.6,0,12.8>,<159.6,0.7,12.8>,0.3}
  cylinder {<160.8,0,11.6>,<160.8,0.7,11.6>,0.3}
}

#declare jitter9 = union {
	box {<158,0,-4>,<132,0.7,-8>}
	cylinder {<130,0,-2>,<160,0,-2>,0.5}
	cylinder {<133,0,-1>,<133,0,-4>,0.5}
	cylinder {<136,0,-1>,<136,0,-4>,0.5}
	cylinder {<139,0,-1>,<139,0,-4>,0.5}
	cylinder {<142,0,-1>,<142,0,-4>,0.5}
	cylinder {<145,0,-1>,<145,0,-4>,0.5}
	cylinder {<148,0,-1>,<148,0,-4>,0.5}
	cylinder {<151,0,-1>,<151,0,-4>,0.5}
	cylinder {<154,0,-1>,<154,0,-4>,0.5}
	cylinder {<157,0,-1>,<157,0,-4>,0.5}
	cylinder {<127,0,-9>,<158,0,-9>,0.5}

	cylinder {<127,0,-2>,<124,0,-2>,0.5}
	cylinder {<127,0,-4>,<124,0,-4>,0.5}
	cylinder {<127,0,-6>,<124,0,-6>,0.5}
	sphere {<127,0,-2>,0.75}
	sphere {<127,0,-4>,0.75}
	sphere {<127,0,-6>,0.75}

	box {<103,0,-2>,<120,0.7,-10>}
	cylinder {<106,1,-6>,<114,1,-6>,0.5}
	cylinder {<105,0,-4>,<105,1.2,-4>,1}
	cylinder {<105,0,-8>,<105,1.2,-8>,1}

	cylinder {<101,0,-5>,<103,0,-7>,0.25}
	cylinder {<101,0,-7>,<103,0,-5>,0.25}
	cylinder {<101,0,-2>,<101,0,-10>,0.25}
	cylinder {<93,0,-2>,<101,0,-2>,0.25}
	cylinder {<93,0,-10>,<101,0,-10>,0.25}
	cylinder {<93,0,-2>,<93,0,-10>,0.25}
	cylinder {<93,0,-4>,<93,0,-8>,1}
	box {<94,0,-3>,<100,0.5,-7>}
	box {<96,0,-6>,<96.5,1,-8>}

	cylinder {<91,0,-4>,<91,0,-8>,0.25}
	cylinder {<91,0,-4>,<89,0,-4>,0.25}
	cylinder {<93,0,-6>,<89,0,-6>,0.25}
	cylinder {<91,0,-8>,<89,0,-8>,0.25}
	box {<89,0,-1>,<88,1,-11>}

	box {<88,0,-3.1>,<83,0.5,-4.9>}
	box {<88,0,-5.1>,<83,0.5,-6.9>}
	box {<88,0,-7.1>,<83,0.5,-8.9>}
	cylinder {<85,0.5,-4>,<87,0.5,-4>,0.25}
	cylinder {<85,0.5,-6>,<87,0.5,-6>,0.25}
	cylinder {<85,0.5,-8>,<87,0.5,-8>,0.25}
	sphere {<87,0.5,-4>,0.5}
	sphere {<87,0.5,-6>,0.5}
	sphere {<87,0.5,-8>,0.5}

	box {<80,0,0>,<81,1,-6>}
	cylinder {<80,0,-1>,<71,0,-1>,0.25}
	cylinder {<80,0,-3>,<73,0,-3>,0.25}
	cylinder {<80,0,-5>,<75,0,-5>,0.25}
	cylinder {<71,0,-6>,<71,0,-1>,0.25}
	cylinder {<73,0,-8>,<73,0,-3>,0.25}
	cylinder {<75,0,-10>,<75,0,-5>,0.25}
	cylinder {<71,0,-6>,<41,0,-6>,0.25}
	cylinder {<73,0,-8>,<41,0,-8>,0.25}
	cylinder {<75,0,-10>,<41,0,-10>,0.25}
	box {<40,0,-11>,<41,1,-5>}

	box {<38,0,-9>,<36,1,-11>}
	box {<38,0,-8>,<36,1,-6>}
	box {<38,0,-3>,<36,1,-5>}

	box {<35,0,-11>,<31,0.5,-5>}
	cylinder {<31,0,-6>,<12,0,-6>,0.25}
	cylinder {<31,0,-7>,<13,0,-7>,0.25}
	cylinder {<31,0,-8>,<14,0,-8>,0.25}
	cylinder {<31,0,-9>,<15,0,-9>,0.25}
	cylinder {<12,0,-12>,<12,0,-6>,0.25}
	cylinder {<13,0,-12>,<13,0,-7>,0.25}
	cylinder {<14,0,-12>,<14,0,-8>,0.25}
	cylinder {<15,0,-12>,<15,0,-9>,0.25}
	box {<17,0,-5>,<18,1,-10>}

	sphere {<3,0,-7>,2 scale <1,0.5,1>}	
}

#declare bay= union {
	object {front translate 162*x}
	object {middle}
	object {aft}
	union {
	object {jitter7}
	object {jitter7 
	matrix < 1, 0, 0,
		 0, 1, 0,
		 0, 0,-1,
		 0, 0, 0 >
		}
	translate <0,0,10>
	}
	object {jitter8}
	object {jitter9 rotate -45*x}
} 












