#declare window = 
  box { <-1,-1,-1>,<1,1,1>
    pigment { color rgbt <1, 1, 1, 1> }
    interior {
      media {
        emission 0.2
        intervals 100
        samples 1,10
        density{
          boxed
          color_map {
            [ 0   color rgb <1, 1, 0.7> ]
            [ 1   color rgb <1, 1, 0.8> ]
          }
        }
      }
    }
    hollow
    scale <0.5,0.4,1>
  }

#declare windows = union {
//bridge
	object {window 	scale <1,1,2>
	translate <162.3,-15,0>}
	object {window translate <162,-15,-3.2>}
	object {window translate <161.6,-15.8,-5>}
	object {window translate <161.7,-15.8,4.4>}
	object {window	scale <1,1,0.5>
	translate <161.3,-15,7>}
	object {window scale <2,2,6>
	translate <44,-43,-69>}

}

 
#declare exhaust =
  box { <-16,-4,-5>,<1,4,5>
    pigment { color rgbt <1, 1, 1, 1> }
    interior{
    media {
      emission 0.2
      intervals 100
      samples 1,10
      density{boxed}
      scale <0.6,0.9,0.4>
      translate <0,0,-0.9>
    }
    media {
      emission 0.015
      intervals 100
      samples 1,10      
      density{spherical}
      scale <16,1.5,1.5>
      translate <0,0,-0.9>
    }//*/
    media {
      emission 0.2
      intervals 100
      samples 1, 10
      density{boxed}
      scale <0.6,0.9,0.4>
      translate <0,0,-1.8>
    }
    media {
      emission 0.015
      intervals 100
      samples 1, 10
      density {spherical}
      scale <16,1.5,2>
      translate <0,0,-1.8>
    }
    media {
      emission 0.2
      intervals 100
      samples 1, 10
      density{boxed}
      scale <0.6,0.9,0.4>
      translate <0,0,0.9>
    }
    media {
      emission 0.015 
      intervals 100
      samples 1, 10
      density{spherical}
      scale <16,1.5,1.5>
      translate <0,0,0.9>
    }
    media {
      emission 0.2
      intervals 100
      samples 1, 10
      density{boxed}
      scale <0.6,0.9,0.4>
     translate <0,0,1.8>
    }
    media {
      emission 0.015
      intervals 100
      samples 1, 10
      density{spherical}
      scale <16,1.5,2>
      translate <0,0,1.8>
    }
    }
    hollow
    scale <5,16,16>
  }
 




